/**
 * Info: formal、235、14(测试)、18(研发测试)、39(项目组)
 */
module.exports = {
  "18": {
    "/admin": {
      target: "http://mbi.sagacloud.cn:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/admin": "/"
      }
    },
    "/api": {
      target: "http://192.168.64.17:28888/",
      changeOrigin: true,
      pathRewrite: {
        "^/api": "/"
      }
    },
    "/data-platform-3": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/rwd": {
      // 目标 API 地址
      target: "http://39.102.40.239:9970/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/business-space": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/pointconfig": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders-dp": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/ScanBuilding": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding-2": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding": {
      // 目标 API 地址
      target: "http://192.168.64./17:28888",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/image-service": {
      // 目标 API 地址
      target: "http://39.97.179.199:8891",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false,
      pathRewrite: {
        "^/image-service": "/image-service/"
      }
    },
    "/modelapi": {
      target: "http://192.168.64.17:28890/",
      changeOrigin: true,
      pathRewrite: {
        "^/modelapi": "/revit-algorithm/"
      }
    },
    "/schedulerapi": {
      target: "http://60.205.177.43:28888/",
      // target: 'http://mbi.sagacloud.cn:8080',
      changeOrigin: true,
      pathRewrite: {
        "^/schedulerapi": "/scheduler/"
      }
    }
  },
  "14": {
    // 新版数据字典
    "/admin": {
      target: "http://mbi.sagacloud.cn:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/admin": "/"
      }
    },
    "/api": {
      target: "http://192.168.64.14:28888/",
      changeOrigin: true,
      pathRewrite: {
        "^/api": "/"
      }
    },
    "/data-platform-3": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/rwd": {
      // 目标 API 地址
      target: "http://39.102.40.239:9970/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/business-space": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/pointconfig": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders-dp": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/ScanBuilding": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding-2": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding": {
      // 目标 API 地址
      target: "http://192.168.64.14:28888",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/image-service": {
      // 目标 API 地址
      target: "http://39.97.179.199:8891",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false,
      pathRewrite: {
        "^/image-service": "/image-service/"
      }
    },
    "/modelapi": {
      target: "http://192.168.64.14:28888/",
      changeOrigin: true,
      pathRewrite: {
        "^/modelapi": "/revit-algorithm/"
      }
    },
    "/schedulerapi": {
      target: "http://60.205.177.43:28888/",
      changeOrigin: true,
      pathRewrite: {
        "^/schedulerapi": "/scheduler/"
      }
    }
  },
  "39": {
    "/admin": {
      target: "http://39.102.40.239:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/admin": "/"
      }
    },
    "/api": {
      target: "http://39.102.40.239:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/api": "/"
      }
    },
    "/data-platform-3": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/rwd": {
      // 目标 API 地址
      target: "http://39.102.40.239:9970/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/business-space": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/pointconfig": {
      // 目标 API 地址
      target: "http://39.102.40.239:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders-dp": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders": {
      // 目标 API 地址
      target: "http://39.97.179.199:9909",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/ScanBuilding": {
      // 目标 API 地址
      target: "http://39.102.40.239:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding-2": {
      // 目标 API 地址
      target: "http://39.102.40.239:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding": {
      // 目标 API 地址
      target: "http://39.102.40.239:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/image-service": {
      // 目标 API 地址
      target: "http://39.97.179.199:8891",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false,
      pathRewrite: {
        "^/image-service": "/image-service/"
      }
    },
    "/modelapi": {
      target: "http://39.102.40.239:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/modelapi": "/revit-algorithm/"
      }
    },
    "/schedulerapi": {
      target: "http://39.102.40.239:8080/",
      changeOrigin: true,
      pathRewrite: {
        "^/schedulerapi": "/scheduler/"
      }
    }
  },
  formal: {
    //正式环境
    "/admin": {
      target: "http://mbi.sagacloud.cn:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/admin": "/"
      }
    },
    "/api": {
      target: "http://mbi.sagacloud.cn:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/api": "/"
      }
    },
    "/data-platform-3": {
      // 目标 API 地址
      target: "http://api.sagacloud.cn/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/business-space": {
      // 目标 API 地址
      target: "http://api.sagacloud.cn",
      changeOrigin: true,
      pathRewrite: {
        "^/business-space": "/dp-auxiliary/business-space/"
      }
    },
    "/pointconfig": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders-dp": {
      // 目标 API 地址
      target: "http://api.sagacloud.cn",
      changeOrigin: true,
      pathRewrite: {
        "^/venders-dp": "/dp-auxiliary/venders-dp/"
      }
    },
    "/venders": {
      // 目标 API 地址
      target: "http://api.sagacloud.cn",
      changeOrigin: true,
      pathRewrite: {
        "^/venders": "/dp-auxiliary/venders/"
      }
    },
    "/ScanBuilding": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding-2": {
      // 目标 API 地址
      target: "http://mbi.sagacloud.cn:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/image-service": {
      // 目标 API 地址
      target: "http://api.sagacloud.cn",
      changeOrigin: true,
      pathRewrite: {
        "^/image-service": "/dp-auxiliary/image-service/"
      }
    },
    "/modelapi": {
      target: "http://mbi.sagacloud.cn:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/modelapi": "/revit-algorithm/"
      }
    },
    "/schedulerapi": {
      target: "http://mbi.sagacloud.cn:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/schedulerapi": "/scheduler/"
      }
    }
  },
  "235": {
    //235测试环境
    "/admin": {
      target: "http://172.16.44.235:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/admin": "/"
      }
    },
    "/api": {
      target: "http://172.16.44.235:8080",
      changeOrigin: true,
      pathRewrite: {
        "^/api": "/"
      }
    },
    "/data-platform-3": {
      // 目标 API 地址
      target: "http://172.16.42.210:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/business-space": {
      // 目标 API 地址
      target: "http://172.16.42.210:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/pointconfig": {
      // 目标 API 地址
      target: "http://172.16.44.235:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders-dp": {
      // 目标 API 地址
      target: "http://172.16.42.210:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/venders": {
      // 目标 API 地址
      target: "http://172.16.42.210:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/ScanBuilding": {
      // 目标 API 地址
      target: "http://172.16.44.235:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/scanbuilding-2": {
      // 目标 API 地址
      target: "http://172.16.44.235:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/image-service": {
      // 目标 API 地址
      target: "http://172.16.42.210:8080/",
      // 如果要代理 websockets
      ws: true,
      // 将主机标头的原点更改为目标URL
      changeOrigin: false
    },
    "/modelapi": {
      target: "http://172.16.42.210:8082",
      // target: 'http://192.168.20.218:8082',//景灏
      changeOrigin: true,
      pathRewrite: {
        "^/modelapi": "/"
      }
    },
    "/schedulerapi": {
      target: "http://172.16.42.210:8081",
      changeOrigin: true,
      pathRewrite: {
        "^/schedulerapi": "/"
      }
    }
  }
};
