/******************* 基础代理配置 *********************/
export const baseUrl = '/api';
export const api = '/ScanBuilding';
export const api1 = '/scanbuilding-2';
export const scan = '/scanbuilding';
export const sass = 'sass';
export const venders = '/venders'
export const dataCenter = '/datacenter'
export const component = '/equip-component'
export const physics = '/data-platform-3';
export const business = '/business-space'
export const rwd = '/rwd'
export const datasyn = '/datasyn'
/******************* 适配新版数据字典接口 *********************/
export const object = dataCenter + '/object'
export const rel = dataCenter + '/rel'
export const system = object + '/general-system'
export const message = baseUrl + '/message-center'


export const shaft = object + '/shaft'
export const tenant = dataCenter + '/tenant'
export const floor = object + '/floor'
export const dict = dataCenter + '/dict'
export const component_dict = component + '/dict'
export const classDef = dataCenter + '/class-def'
export const locationPoint = object + '/location-point'
export const modelScanTask = dataCenter + '/model-scan-task'
export const equipScanTask = dataCenter + '/equip-scan-task'
export const shContainSp = rel + '/sh-contain-sp-base'
export const statistics = dataCenter + '/statistics'
export const stat = component + '/statistics'
export const graphicUrl = dataCenter + '/graphic'
export const compSpace = component + '/space'
export const compEquipQuery = component + '/equip-query'
export const dictCustom = component + '/dict-custom'
export const zone = {
  GeneralZone: 'zone-general', //默认分区
  PowerSupplyZone: 'zone-power-supply', //供电分区
  LightingZone: 'zone-lighting', //照明分区
  AirConditioningZone: 'metaspace', //空调分区
  TenantZone: 'zone-tenant', //租赁分区
  HeatingZone: 'zone-heating', //采暖分区
  CleanZone: 'zone-clean', //洁净分区
  DomesticWaterSupplyZone: 'zone-domestic-water', //生活给水分区
  NetworkZone: 'zone-network', //网络分区
  FunctionZone: 'zone-function', //功能分区
  FireZone: 'zone-fire', //防火分区
  SecurityZone: 'zone-security', //安防分区
  Ispace: 'ispace', //元空间
}
