const deviceListString = {
  "空调冷冻水供水": "CCCC-离心式冷水机组-true，CCAC-吸收式冷水机组-true，CCSC-螺杆式冷水机组-true，CCGH-地源热泵-true，CCWH-水源热泵-true，CCAH-空气源热泵-true，CCCP-供冷冷冻水泵，ATFC-风机盘管，ATAH-空调机组，ATFU-新风机组，CCHE-供冷换热器，CHVD-真空脱气机，CCAD-供冷软化水装置，CCCL-供冷集水器，CCDB-供冷分水器",
  "空调冷冻水回水": "CCCC-离心式冷水机组-true，CCAC-吸收式冷水机组，CCSC-螺杆式冷水机组，CCGH-地源热泵，CCWH-水源热泵，CCAH-空气源热泵，CCCP-供冷冷冻水泵，ATFC-风机盘管-true，ATAH-空调机组-true，ATFU-新风机组-true，CCHE-供冷换热器-true，CCAD-供冷软化水装置，CCCL-供冷集水器，CCDB-供冷分水器，CHVD-真空脱气机",
  "采暖水供水": "CHCB-供热燃煤锅炉-true，CHHE-供热换热器-true，CHGB-供热燃气锅炉-true，CHEB-供热电锅炉-true，CCGH-地源热泵-true，CCWH-水源热泵-true，CCAH-空气源热泵-true，CHHP-供热水泵，CHDB-供热分水器，CHCL-供热集水器，CHCF-供热定压补水装置,ATFC-风机盘管，ATAH-空调机组，ATFU-新风机组，CHTU-供热全程水处理仪，CHHE-供热换热器，CHWT-供热水箱，ATRD-散热器",
  "采暖水回水": "CHCB-供热燃煤锅炉，CHHE-供热换热器-true，CHGB-供热燃气锅炉，CHEB-供热电锅炉，CCGH-地源热泵，CCWH-水源热泵，CCAH-空气源热泵，CHHP-供热水泵，CHDB-供热分水器，CHCL-供热集水器，CHCF-供热定压补水装置,ATFC-风机盘管-true，ATAH-空调机组-true，ATFU-新风机组-true，CHTU-供热全程水处理仪，CHHE-供热换热器，CHWT-供热水箱，ATRD-散热器-true",
  "空调冷却水供水": "CCCC-离心式冷水机组-true，CCAC-吸收式冷水机组-true，CCSC-螺杆式冷水机组-true，CCGH-地源热泵-true，CCWH-水源热泵-true，CCAH-空气源热泵，CCOT-冷却塔，CCOP-冷却水",
  "空调冷却水回水": "CCCC-离心式冷水机组，CCAC-吸收式冷水机组，CCSC-螺杆式冷水机组，CCGH-地源热泵，CCWH-水源热泵，CCAH-空气源热泵，CCOT-冷却塔-true，CCOP-冷却水泵",
  "空调冷凝水排水": "ATFC-风机盘管-true，ATAH-空调机组-true，ATVR-变频多联机-true，ATVI-室内机-true，ATVO-室外机",
  "采暖水补水": "CHCB-供热燃煤锅炉，CHHE-供热换热器-true，CHGB-供热燃气锅炉，CHEB-供热电锅炉，CCGH-地源热泵，CCWH-水源热泵，CCAH-空气源热泵，CHHP-供热水泵，CHDB-供热分水器，CHCL-供热集水器，CHCF-供热定压补水装置，ATAH-空调机组，ATFU-新风机组，CHTU-供热全程水处理仪，CHHE-供热换热器，CHWT-供热水箱，ATFC-风机盘管，ATAH-空调机组，ATFU-新风机组，ATRD-散热器",
  "多联机供回制冷剂": "ATVR-变频多联机-true，ATVI-室内机-true，ATVO-室外机-true",
  "通风送风": "VTSF-送风风机，ATVA-VAVBOX ，ATIO-空调风口，VTIO-通风风口-true，SCEF-排烟风机，SCIO-排烟风口,SCEF-正压送风风机",
  "空调送风": "ATVA-VAVBOX ,ATFC-风机盘管,ATIO-空调风口-true",
  "空调排风": "ATAH-空调机组,ATIO-空调风口-true,VTSF-排风风机，SCEF-排烟风机，VTIO-通风风口，SCIO-排烟风口-true,KLSF-抽油烟机，KLIO-厨房风口-true",
  "新风送风": "ATFU-新风机组，ATAH-空调机组，VTSF-新风机,ATIO-空调风口-true",
  "消防排烟": "SCEF-排烟风机，SCIO-排烟风口-true",
  "通风排风": "VTSF-排风风机，VTIO-通风风口-true",
  "空调回风": "ATFC-风机盘管，ATAH-空调机组,ATIO-空调风口-true",
  "生活给水供水": "DWHP-给水水泵，DWSU-生活给水供水机组-true，SEFL-水表，DWWT-水箱，DWPT-生活给水压力罐，CCOT-冷却塔",
  "生活热水供水": "DHWT-生活热水储水箱，DHSC-生活热水太阳能集热器-true，SEFL-水表,DHHE-生活热水换热器-true",
  "污水排水": "STSP-潜污泵-true,STOS-自动隔油装置-true",
  "中水供水": "RWWT-中水储水箱，RWTU-中水处理机组-true，RWSU-中水供水机组，RWRC-雨水收集设备",
  "直饮水供水": "DDTU-直饮水处理机组-true，DDIH-即时加热器",
  "消防给水供水": "FSHP-消火栓供水加压水泵-true，FSPS-消防稳压装置-true，FSHB-消火栓箱-true，FSWM-消防水炮设备-true"

}

let deviceList = new Object;
for (const key in deviceListString) {
  if (deviceListString.hasOwnProperty(key)) {
    const element = deviceListString[key]
    deviceList[key] = new Array
    const temp = element.split(/[,，]/)
    temp.forEach(i => {
      const [value, label, select] = i.split('-')
      deviceList[key].push({
        label,
        value,
        select
      })
    })
  }
}
export default deviceList
